package com.zipcodewilmington.gildedrose;

import org.junit.Assert;
import org.junit.Test;

public class InventoryTest {
    @Test
    public void updateQuantityTest(){
        Item item = new Item("Sulfuras", 1, 1);
        Assert.assertEquals(1, 1);
    }

    @Test
    public void getNameTest(){
        Item tape = new Item("Some new tape",47,55);
        String expectedTapeName = "Some new tape";
        String actualTapeName = tape.getName();
        Assert.assertEquals(expectedTapeName, actualTapeName);
    }

    @Test
    public void setNameTest(){
        Item tape = new Item("Some new tape", 47,55);
        String expectedTapeName = "New Tape";
        tape.setName("New Tape");
        String actualTapeName = tape.getName();
        Assert.assertEquals(expectedTapeName, actualTapeName);
    }

    @Test
    public void getSellInTest(){
        Item tape = new Item("Some new tape", 47,55);
        int expectedSellIn = 47;
        int actualSellIn = tape.getSellIn();
        Assert.assertEquals(expectedSellIn, actualSellIn);
    }

    @Test
    public void setSellInTest(){
        Item tape = new Item("Some new tape", 47,55);
        int expectedSellIn = 47;
        tape.setSellIn(47);
        int actualSellIn = tape.getSellIn();
        Assert.assertEquals(expectedSellIn, actualSellIn);
    }

    @Test
    public void getQualityTest(){
        Item tape = new Item("Some new tape", 47,55);
        int expectedQuality = 55;
        int actualQuality = tape.getQuality();
        Assert.assertEquals(expectedQuality, actualQuality);
    }

    @Test
    public void setQualityTest(){
        Item tape = new Item("Some new tape", 47,55);
        int expectedQuality = 55;
        tape.setQuality(55);
        int actualQuality = tape.getQuality();
        Assert.assertEquals(expectedQuality, actualQuality);
    }

}

